diff --git a/2.2.0-link-deps.patch b/2.2.0-link-deps.patch
deleted file mode 100644
index 8f11c1c..0000000
--- a/2.2.0-link-deps.patch
+++ /dev/null
@@ -1,14 +0,0 @@
---- origsrc/goocanvas-2.2.0/ext/goocanvas/extconf.rb	2015-05-20 22:27:27.070914800 -0500
-+++ src/goocanvas-2.2.0/ext/goocanvas/extconf.rb	2015-05-20 23:06:16.067659800 -0500
-@@ -32,11 +34,7 @@ end
- 
- [
-   "glib2",
--  "atk",
-   "pango",
--  "gdk_pixbuf2",
--  "gdk3",
--  "gtk3",
-   "gobject-introspection",
- ].each do |package|
-   directory = "#{package}#{version_suffix}"
diff --git a/ruby-goocanvas2.cygport b/ruby-goocanvas2.cygport
index 42a3687..1dfddfb 100644
--- a/ruby-goocanvas2.cygport
+++ b/ruby-goocanvas2.cygport
@@ -3,19 +3,19 @@ inherit rubygem
 
 NAME="ruby-goocanvas2"
 VERSION=2.2.0
-RELEASE=4
+RELEASE=5
 CATEGORY="Ruby"
 SUMMARY="Ruby GooCanvas 2.x bindings"
 DESCRIPTION="Ruby/GooCanvas is a Ruby binding of the GTK+3 GooCanvas."
-HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
+HOMEPAGE="https://ruby-gnome.github.io/"
 
-PATCH_URI="2.2.0-link-deps.patch"
+BUILD_REQUIRES="libgoocanvas2.0-devel ruby-atk ruby-cairo-devel ruby-glib2-devel ruby-gobject-introspection-devel ruby-pango-devel ruby-gdk_pixbuf2 ruby-gdk3 ruby-gtk3-devel ruby-pkg-config"
+LICENSE="LGPL-2.1-or-later"
 
 PKG_NAMES="${NAME} ${NAME}-devel ${NAME}-doc"
 ruby_goocanvas2_CONTENTS="--exclude=sample ${RUBYGEM_EXTDIR#/} ${RUBYGEM_INSTDIR#/} ${RUBYGEM_SPEC#/}"
 ruby_goocanvas2_devel_REQUIRES=${NAME}
 ruby_goocanvas2_devel_CONTENTS="usr/lib/pkgconfig/ruby-goocanvas.pc"
 ruby_goocanvas2_doc_CONTENTS="${RUBYGEM_DOCDIR#/} ${RUBYGEM_INSTDIR#/}/sample/"
-PKG_IGNORE="usr/lib/lib*.a"
 
 DEPS_PATH="${RUBYGEM_EXTDIR%/*}/cairo-1*:${RUBYGEM_EXTDIR%/*}/glib2-*:${RUBYGEM_EXTDIR%/*}/gtk3-*"
